# XML/Escape.pm
# Copyright (C) 2002 colin z robertson
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package XML::Escape;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(escape unescape);

sub escape {
	my ($text) = @_;
	$text=~ s/&/&amp;/g;
	$text=~ s/</&lt;/g;
	$text=~ s/>/&gt;/g;
	$text=~ s/"/&quot;/g;
	return $text;
}

sub unescape {
	my ($text) = @_;
	$text=~ s/&lt;/</g;
	$text=~ s/&gt;/>/g;
	$text=~ s/&quot;/"/g;
	$text=~ s/&amp;/&/g;
	return $text;
}

1;
